#pragma once

#include <set>
#include "../interface.h"

class CLootFrame;
extern CLootFrame*				g_pLootFrame;

#define NUM_GROUP_LOOT_ITEM			6

using namespace std;

class CLootFrame : public CInterfaceBase
{
public:
	CLootFrame(CInterface* object);
	virtual ~CLootFrame();

	virtual	void				RegisterFunc();
	virtual	void				Update(float elapsedTime);
	virtual	bool				OpenNewLootItem(int itemVersion);
	virtual	void				DeleteLootItem(int itemVersion);
	virtual	void				RefreshAssignItem();

protected:
	set<int>					m_groupLootItem;
};